<?xml version="1.0" encoding="utf-8"?>
<configuration>
	<configSections>
		<section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler,log4net "/>
	</configSections>
	<startup useLegacyV2RuntimeActivationPolicy="true">
		<supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2"/>
	</startup>
	<connectionStrings>
		<add name="PostgreSQL" connectionString="Server=localhost;Port=5432;User Id=postgres;Password=123456;Database=postgres;Enlist=true;Preload Reader = true;"/>
	</connectionStrings>
	<appSettings>
		<add key="IsSimulationMode" value="false"/>

		<add key="RobotAddress" value="127.0.0.1:10110"/>
		<add key="AlignerAddress" value="127.0.0.1:10111"/>
		<add key="WIDReaderAddress" value="127.0.0.1:23"/>
		<add key="Su" value="21232f297a57a5a743894a0e4a801fc3"/>
		<add key="ClientSettingsProvider.ServiceUri" value=""/>
	</appSettings>
	<log4net>
		<appender name="txtFileAppender" type="log4net.Appender.RollingFileAppender">
			<param name="File" value="Logs\log" />
			<param name="AppendToFile" value="true" />
			<param name="RollingStyle" value="Date" />
			<param name="StaticLogFileName" value="false" />
			<datePattern value="yyyyMMdd'.log'" />
			<encoding value="utf-8" />
			<maxSizeRollBackups value="120" />
			<layout type="log4net.Layout.PatternLayout,log4net">
				<param name="ConversionPattern" value="%m%n" />
				<param name="Header" value="&#13;&#10;&lt;=====Sic Begin=====&gt;&#13;&#10;" />
				<param name="Footer" value="&#13;&#10;&lt;=====Sic End=====&gt;&#13;&#10;" />
			</layout>
		</appender>
		<root>
			<level value="INFO"/>
			<appender-ref ref="txtFileAppender"/>
		</root>
	</log4net>
	<!--<system.diagnostics>
		<sources>
			<source name="System.ServiceModel"
			        switchValue="Information, ActivityTracing"
			        propagateActivity="true" >
				<listeners>
					<add name="xml"/>
				</listeners>
			</source>
			<source name="System.ServiceModel.MessageLogging">
				<listeners>
					<add name="xml"/>
				</listeners>
			</source>
			<source name="myUserTraceSource"
			        switchValue="Information, ActivityTracing">
				<listeners>
					<add name="xml"/>
				</listeners>
			</source>
		</sources>
		<sharedListeners>
			<add name="xml"
			     type="System.Diagnostics.XmlWriterTraceListener"
			     initializeData="SicRT_WCF_Error.svclog" />
		</sharedListeners>
	</system.diagnostics>-->


	<system.serviceModel>
		<bindings>
			<netTcpBinding>
        <binding name="Aitex_netTcpBinding" maxReceivedMessageSize="102400000" receiveTimeout="infinite">
					<readerQuotas maxDepth="32" maxStringContentLength="1048576" maxArrayLength="163840000" maxBytesPerRead="4096" maxNameTableCharCount="16384"/>
					<security mode="None">
						<transport clientCredentialType="None"/>
						<message clientCredentialType="None"/>
					</security>
				</binding>
        
      </netTcpBinding>
		</bindings>
		<services>
			<service behaviorConfiguration="BasicBehavior" name="Aitex.Core.Account.AccountService">
				<endpoint address="net.tcp://localhost:18775/AccountService" binding="netTcpBinding" bindingConfiguration="Aitex_netTcpBinding" contract="Aitex.Core.Account.IAccountService"/>
			</service>
			<service behaviorConfiguration="BasicBehavior" name="MECF.Framework.Common.OperationCenter.InvokeService">
				<endpoint address="net.tcp://localhost:18751/InvokeService" binding="netTcpBinding" bindingConfiguration="Aitex_netTcpBinding" contract="MECF.Framework.Common.OperationCenter.IInvokeService"/>
			</service>
			<service behaviorConfiguration="BasicBehavior" name="Aitex.Core.WCF.EventService">
				<endpoint address="net.tcp://localhost:18752/EventService" binding="netTcpBinding" bindingConfiguration="Aitex_netTcpBinding" contract="Aitex.Core.WCF.Interface.IEventService"/>
			</service>
			<service behaviorConfiguration="BasicBehavior" name="MECF.Framework.Common.DataCenter.QueryDataService">
				<endpoint address="net.tcp://localhost:18771/QueryDataService" binding="netTcpBinding" bindingConfiguration="Aitex_netTcpBinding" contract="MECF.Framework.Common.DataCenter.IQueryDataService"/>
			</service>
			<service behaviorConfiguration="BasicBehavior" name="MECF.Framework.Common.RecipeCenter.RecipeService">
				<endpoint address="net.tcp://localhost:18773/RecipeService" binding="netTcpBinding" bindingConfiguration="Aitex_netTcpBinding" contract="MECF.Framework.Common.RecipeCenter.IRecipeService"/>
			</service>
		</services>

		<client>
			<endpoint address="net.tcp://localhost:16701/SimulatorAdsPlcService"
					  behaviorConfiguration="EndpointBehavior"
					  binding="netTcpBinding"
					  bindingConfiguration="Aitex_netTcpBinding"
					  contract="MECF.Framework.Common.PLC.IWcfPlcService"
					  name="Client_IWcfPlcService"/>
      
      <endpoint address="net.tcp://192.168.12.105:9999/MultiProcessService"
                behaviorConfiguration="EndpointBehavior"
                binding="netTcpBinding"
                bindingConfiguration="Aitex_netTcpBinding"
                contract="MECF.Framework.Common.MultiProcess.ProcessCenter.IMultiProcessService"
                name="Client_IMultiProcessService"/>
		</client>
		<behaviors>
			<serviceBehaviors>
				<behavior name="BasicBehavior">
					<dataContractSerializer maxItemsInObjectGraph="2147483647"/>
					<serviceMetadata httpGetEnabled="false"/>
					<serviceDebug includeExceptionDetailInFaults="true"/>
					<serviceAuthorization impersonateCallerForAllOperations="false"/>
				</behavior>
				<behavior name="SingleModeBehavior">
					<dataContractSerializer maxItemsInObjectGraph="2147483647"/>
					<serviceMetadata httpGetEnabled="false"/>
					<serviceDebug includeExceptionDetailInFaults="true"/>
					<serviceAuthorization impersonateCallerForAllOperations="false"/>
				</behavior>
			</serviceBehaviors>
			<endpointBehaviors>
        <behavior name="EndpointBehavior">
          <dataContractSerializer maxItemsInObjectGraph="2147483647"/>
        </behavior>
			</endpointBehaviors>
		</behaviors>
	</system.serviceModel>
	<system.web>
		<membership defaultProvider="ClientAuthenticationMembershipProvider">
			<providers>
				<add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri=""/>
			</providers>
		</membership>
		<roleManager defaultProvider="ClientRoleProvider" enabled="true">
			<providers>
				<add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400"/>
			</providers>
		</roleManager>
	</system.web>
</configuration>
